Loading...
Searching...
No Matches
Dune::VirtualRefinementImpSubEntityIteratorBackSpecial< topologyId, CoordType, coerceToId, dimension, 0 > Class Template Reference
Inheritance diagram for Dune::VirtualRefinementImpSubEntityIteratorBackSpecial< topologyId, CoordType, coerceToId, dimension, 0 >:

## Public Types

typedef Dune::VirtualRefinementImp< topologyId, CoordType, coerceToId, dimension > | VirtualRefinementImp
typedef VirtualRefinementImp::template SubEntityIteratorBack< 0 > | Common
typedef VirtualRefinementImp::StaticRefinement | StaticRefinement
typedef VirtualRefinement< dimension, CoordType > | RefinementBase
typedef RefinementBase::IndexVector | IndexVector

## Public Member Functions

IndexVector | vertexIndices () const

## Member Typedef Documentation

## Common

template<unsigned topologyId, class CoordType, unsigned coerceToId, int dimension>

typedef VirtualRefinementImp::template SubEntityIteratorBack<0> Dune::VirtualRefinementImpSubEntityIteratorBackSpecial< topologyId, CoordType, coerceToId, dimension, 0 >::Common

## IndexVector

template<unsigned topologyId, class CoordType, unsigned coerceToId, int dimension>

typedef RefinementBase::IndexVector Dune::VirtualRefinementImpSubEntityIteratorBackSpecial< topologyId, CoordType, coerceToId, dimension, 0 >::IndexVector

## RefinementBase

template<unsigned topologyId, class CoordType, unsigned coerceToId, int dimension>

typedef VirtualRefinement<dimension, CoordType> Dune::VirtualRefinementImpSubEntityIteratorBackSpecial< topologyId, CoordType, coerceToId, dimension, 0 >::RefinementBase

## StaticRefinement

template<unsigned topologyId, class CoordType, unsigned coerceToId, int dimension>

typedef VirtualRefinementImp::StaticRefinement Dune::VirtualRefinementImpSubEntityIteratorBackSpecial< topologyId, CoordType, coerceToId, dimension, 0 >::StaticRefinement

## VirtualRefinementImp

template<unsigned topologyId, class CoordType, unsigned coerceToId, int dimension>

typedef Dune::VirtualRefinementImp<topologyId, CoordType, coerceToId, dimension> Dune::VirtualRefinementImpSubEntityIteratorBackSpecial< topologyId, CoordType, coerceToId, dimension, 0 >::VirtualRefinementImp

## Member Function Documentation

## vertexIndices()

template<unsigned topologyId, class CoordType, unsigned coerceToId, int dimension>

VirtualRefinementImpSubEntityIteratorBackSpecial< topologyId, CoordType, coerceToId, dimension, 0 >::IndexVector Dune::VirtualRefinementImpSubEntityIteratorBackSpecial< topologyId, CoordType, coerceToId, dimension, 0 >::vertexIndices | ( |  | ) | const

The documentation for this class was generated from the following file:

- virtualrefinement.cc